Subject: Re: bug#18447: 24.3; transfer case doesn't work in some instances

From: Stefan Kangas <[email-masked]>
Date: Mon, 30 Sep 2019 04:48:09 +0200

Paul Eggert <[email-masked]> writes:

> Thanks for the bug report.  As near as I can make out, Emacs is behaving
> according to spec, as the documentation for replace-match says:
>
>   "If the replaced text has only capital letters and has at least one
>   multiletter word, convert NEWTEXT to all caps.  Otherwise if all words are
> capitalized in the replaced text, capitalize each word in NEWTEXT."
>
> Here neither condition applies so there's no case conversion.  This is how
> replace-match has behaved for a couple of decades.  Perhaps it'd be useful to
> have a variant that behaves differently, but I expect we'd have to make that an
> upward-compatible change somehow.

I think that there is no bug here, and we have seen no further comments
in 5 years.  I'm therefore closing this bug.  If that's incorrect,
please reopen the bug report.

Best regards,
Stefan Kangas